Page MenuHomePhabricator

Add support of Windows 8, 8.1 and 10
ClosedPublic

Authored by vtorri on Dec 28 2018, 11:29 AM.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
vtorri created this revision.Dec 28 2018, 11:29 AM
vtorri requested review of this revision.Dec 28 2018, 11:29 AM
vtorri updated this revision to Diff 18161.Dec 28 2018, 10:03 PM
  • Evil: simplify m4 code for the target Windows we want

For the meson part:

You can look at meson.build:105 there is the place where those versions are added. Further more, there seems to not be any case to find out what kind of version you are targeting. The documentation of WINVER also reads like you can simply specify the highest, and get all macros that are new ?

@bu5hm4n you do not *find* what you target, you *set* what you target. It is the way to make available some features in the header files, at compile time, for the target we want. That's why there is no way to automatically know which version we target, especially if we cross compile on linux...

so ideally, if I want to release binaries, I have to build for each versions of Windows.

And if you set the highest version (windows 10), you will make available some features which are not available on windows vista, 7 or 8...

vtorri updated this revision to Diff 18164.Dec 31 2018, 12:22 AM
  • Add windows-version option to meson build (like autotools)
bu5hm4n requested changes to this revision.Dec 31 2018, 2:03 AM

Just a little NIT, looks good otherwise :)

meson_options.txt
347

Can you add here a remark that this option is only used when the host_machine is windows ? :)

This revision now requires changes to proceed.Dec 31 2018, 2:03 AM
vtorri updated this revision to Diff 18165.Dec 31 2018, 3:19 AM
  • meson: Improve description of 'windows-version' option
bu5hm4n accepted this revision.Dec 31 2018, 3:21 AM

Seems good to me :)

I will test tomorrow and push to git, not able to that now, only on cellphone :)

This revision is now accepted and ready to land.Dec 31 2018, 3:21 AM

I can say that the meson patch works (after removing wrong ] , @vtorri can you report that autotools works ?

vtorri added a comment.Jan 1 2019, 9:53 AM

i've tested the autotools before creating this diff

vtorri updated this revision to Diff 18167.Jan 1 2019, 11:16 PM
  • meson: remove wrong ]

fix wrong ]

Closed by commit rEFLe142bf796d01: Add support of Windows 8, 8.1 and 10 (authored by vtorri, committed by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyJan 2 2019, 1:35 AM
This revision was automatically updated to reflect the committed changes.